#if !defined(AFX_CREATEALTZ_H__1C3ED8D1_68CE_40B5_9A03_06A0D70AA32E__INCLUDED_)
#define AFX_CREATEALTZ_H__1C3ED8D1_68CE_40B5_9A03_06A0D70AA32E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CreateALTZ.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCreateALTZ dialog

class CCreateALTZ : public CDialog
{
// Construction
public:
	CCreateALTZ(CWnd* pParent = NULL);   // standard constructor
	CCreateALTZ(IApplication *pApp);   // Needful constructor
// Dialog Data
	//{{AFX_DATA(CCreateALTZ)
	enum { IDD = IDD_AL_TZ_CREATE };
	CComboBox	m_AcctList;
	CListBox	m_SubAcctList;
	CString	m_sDesc;
	CString	m_sName;
	int m_iToBe;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCreateALTZ)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCreateALTZ)
	afx_msg void OnBtnCreate();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts(long lAcctID);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CREATEALTZ_H__1C3ED8D1_68CE_40B5_9A03_06A0D70AA32E__INCLUDED_)
